gem 'minitest'
require 'minitest/autorun'
gem 'mocha'
require 'mocha/mini_test'
require 'fileutils'
require 'pp'

require 'git_agent'

GitAgent.data_directory = './test/data'
FileUtils.mkdir(GitAgent.data_directory) unless Dir.exist?(GitAgent.data_directory)

Mail.defaults do
  delivery_method :test
end

class Minitest::Spec
  def teardown
    FileUtils.rm_r(Dir.glob(File.join(GitAgent.data_directory, '**')))
  end
end
