# GitAgent

Command line utility tool to minitor git repository. If it finds new commits, it will send you an email to notify the changes. GitAgent uses Gmail to send you the notification email, therefore the sender email must be Gmail.

## Installation

    $ gem install git_agent

## Usage

    check_repo -t git@github.com:ungsophy/git_agent.git \
               -s foo@gmail.com \
               -p 123123 \
               -r bar@gmail.com \
               -h https://github.com/ungsophy/git_agent
               
* ``-t`` The target repository that you want to monitor.
* ``-s`` Sender email address (must be Gmail).
* ``-p`` Sender password.
* ``-r`` Recipient email address (can be any email).
* ``-h`` The project home page. This parameter is optional.

Combine GitAgent with Cronjob

```
0 0 * * * /bin/bash -l -c 'check_repo -t git@github.com:ungsophy/git_agent.git -s foo@gmail.com -p 123123 -r bar@gmail.com -h https://github.com/ungsophy/git_agent'
```

The above example is checking ``ungsophy/git_agent`` repo every day.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
