# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'git_agent/version'

Gem::Specification.new do |spec|
  spec.name          = "git_agent"
  spec.version       = GitAgent::VERSION
  spec.authors       = ["Sophy Eung"]
  spec.email         = ["ungsophy@gmail.com"]
  spec.description   = "A command line utility to check git repositories"
  spec.summary       = "A command line utility to check git repositories"
  spec.homepage      = "https://github.com/ungsophy/git_agent"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "mail", "~> 2.5.4"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest", "~> 5.2.0"
  spec.add_development_dependency "mocha", "~> 1.0.0"
end
